#
# spec file for package kubecfg
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         ksonnet
%global repo            kubecfg
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           kubecfg
Version:        0.8.0
Release:        2.8
Summary:        A tool for managing Kubernetes environments as code
License:        Apache-2.0
Group:          System/Management
Url:            https://%{provider_prefix}
Source:         https://%{provider_prefix}/archive/v%{version}.tar.gz#/%{repo}-%{version}.tar.gz
BuildRequires:  golang-packaging

%description
A tool for managing Kubernetes resources as code.

kubecfg allows expressing the patterns across infrastructure and reusing these
"templates" across many services, and then manage those templates as files in
version control.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{provider_prefix}
%gobuild ...

%install
%goinstall

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Oct  4 2018 Jan Engelhardt <jengelh@inai.de>
- Trim marketing wording from description.
* Mon Jul  9 2018 mrostecki@suse.com
- Initial release
